Bug Hunting Session
Bug 64753 - FILESAVE: Sheet Protection removed from XLSX after saving & reopening file
Summary: FILESAVE: Sheet Protection removed from XLSX after saving & reopening file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: high major
Assignee: Noel Power
URL:
Whiteboard: target:4.2.0 target:4.0.6 target:4.1.1
Keywords:
: 63608 67998 68425 (view as bug list)
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2013-05-19 07:49 UTC by ign_christian
Modified: 2013-11-20 06:18 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ign_christian 2013-05-19 07:49:07 UTC
Steps to reproduce:
1. Create new blank spreadsheet
2. Tools > Protect Document > Sheet/Document > OK (check to see that sheet/document protected)
3. Save as MSO XML (*.xlsx)
4. Close & reopen that file (see that protection removed)

That problem happens either with password & no password. But that's not happen if saving as .xls & .ods

LO 4.0.3.3 (Win7 32bit)
Comment 1 Joel Madero 2013-05-20 17:24:38 UTC
Thank you for reporting this issue! I have been able to confirm the issue with the earliest version of bibisect:
Version 3.6.0.0.alpha1 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Major - protection completely lost with xlsx format, seems like this has always been the case?
High - default, despite no one else really confirming this issue it seems quite important as the new MSO x format is definitely becoming the norm for many MSO users.

MAB 3.6


I would be surprised if this isn't a dupe but I didn't look much for one
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 ign_christian 2013-05-21 02:10:26 UTC
Perhaps Bug 60718 related to this bug?
Comment 3 Ashish Patel 2013-05-29 09:04:48 UTC
*** Bug 63608 has been marked as a duplicate of this bug. ***
Comment 4 Ashish Patel 2013-05-29 10:20:43 UTC
Bug#63608, marked as duplicate of this. This is impacting our one of key functionality, to be used through Libre office. Any idea on fix timelines ? 
Thanks in advance.
Comment 5 Joel Madero 2013-05-29 16:21:36 UTC
has this always been the case or is it a regression from a previous LibreOffice release?
Comment 6 Ashish Patel 2013-05-29 17:43:05 UTC
We tried earlier three revisions and it was there, not sure for earlier one than that. Please let us know if it's regression, so that we can go ahead with earlier version as temporary fix until newer version fix is available.

Thanks in advance.
Comment 7 Joel Madero 2013-05-29 17:44:54 UTC
If I had to guess, it's been around since OOo times and was inherited from them - this is just a guess though
Comment 8 Joel Madero 2013-05-29 17:45:31 UTC
As a temporary fix why not use xls instead? or even better, what prevents you from using open standards? At least for internal documents this is a good idea
Comment 9 Ashish Patel 2013-05-30 05:54:51 UTC
Thanks Joel for prompt response.
Yes we already checked other temporary fix options but they already ruled out because...

1. Open Standard requires new parsing lib to be integrated in our product (Currently it does through Apache POI - xls, xlsx). Though not completely ruled out and still an option if this become show stopper we have to take this route.
2. XLS, do not support > 65k row being show stopper and so ruled out completely.
Comment 10 ign_christian 2013-07-22 07:39:29 UTC
I change summary a bit since Bug 59524 has been reported against document protection.
Comment 11 tommy27 2013-07-30 20:04:35 UTC
reproducible with LibO 4.1.0
sheet protection is lost when saving in .xlsx format.
Comment 12 Joel Madero 2013-07-30 20:10:33 UTC
CC'ing Kohei on this one - 

@Kohei - thoughts?

Also moving it to mab4.0 vs. 3.6 because 3.6 has reached EOL so we are in the process of closing the meta bug.

Thanks for the update
Comment 13 Noel Power 2013-07-31 10:18:17 UTC
I will take a look
Comment 14 Commit Notification 2013-08-01 16:12:22 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=016e18680e471d9f0cea8ee35f9716ae0f9baa11

1st step fix for exporting SheetProtection fdo#64753 is to import correctly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-08-01 16:12:44 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ce1124359783df750d176b8390b4eb0f54fb6ba

2nd step to export SheetProtection fdo#64753, actually export the data



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2013-08-01 16:13:07 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96ef3ad2d84b3d390f0bdd47408d2a7b2c569087

unit test for fdo#64753 ( import/export of sheetprotection )



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2013-08-03 10:40:01 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=863ecf687efaad3354c5c260458344b19c4c228c&h=libreoffice-4-0

1st step fix for exporting SheetProtection fdo#64753 is to import correctly


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2013-08-03 12:40:34 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d07f380bb0d5053571a9f3866b0415fe8339c5b&h=libreoffice-4-1

1st step fix for exporting SheetProtection fdo#64753 is to import correctly


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 ign_christian 2013-08-26 13:00:00 UTC
*** Bug 68425 has been marked as a duplicate of this bug. ***
Comment 20 ign_christian 2013-08-27 05:19:01 UTC
*** Bug 67998 has been marked as a duplicate of this bug. ***
Comment 21 ign_christian 2013-10-05 01:17:36 UTC
Confirm fixed on LO 4.0.6.1 (Win7 32bit). Thanks Noel :)
Comment 22 stragu 2013-11-20 06:18:59 UTC
It is likely the fix for this bug has created another issue: Bug 70499

Could someone involved in the patch for 64753 have a look into it please?